---
lang: en
title: 'API docs: typeorm.typeormconnectionbooter._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/typeorm
permalink: /doc/en/lb4/apidocs.typeorm.typeormconnectionbooter._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/typeorm](./typeorm.md) &gt; [TypeOrmConnectionBooter](./typeorm.typeormconnectionbooter.md) &gt; [(constructor)](./typeorm.typeormconnectionbooter._constructor_.md)

## TypeOrmConnectionBooter.(constructor)

Constructs a new instance of the `TypeOrmConnectionBooter` class

**Signature:**

```typescript
constructor(app: ApplicationUsingTypeOrm, projectRoot: string, entityConfig?: ArtifactOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  app | [ApplicationUsingTypeOrm](./typeorm.applicationusingtypeorm.md) |  |
|  projectRoot | string |  |
|  entityConfig | [ArtifactOptions](./boot.artifactoptions.md) | _(Optional)_ |


